#!/bin/bash

TAG=R4_1_0

tar xf org.eclipse.pdt-${TAG}.tar.xz
pushd org.eclipse.pdt-${TAG} &>/dev/null

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

for xml in generateAstParser generateCompilerAstParser ; do
  find -name ${xml}.xml -exec sed -i -e 's|classpath=".*"|classpath="/usr/share/java/java_cup.jar"|' {} \;
done
(cd plugins/org.eclipse.php.core/Resources/parserTools/ && ant)

tar -caf code_gen.tar.gz $(find -name ParserConstants.java -o \
                                -name PhpAstLexer.java -o \
                                -name PhpAstParser.java -o \
                                -name DocumentorLexer.java -o \
                                -name CompilerAstParser.java -o \
                                -name CompilerParserConstants.java -o \
                                -name PHPTokenizer.java -o \
                                -name PhpLexer.java)

popd &>/dev/null

mv org.eclipse.pdt-${TAG}/code_gen.tar.gz ./code_gen-${TAG}.tar.gz
